package edu.mermet.tp8.fenetres;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.Action;
import javax.swing.JInternalFrame;
import javax.swing.event.InternalFrameAdapter;
import javax.swing.event.InternalFrameEvent;

/**
 *
 * @author brunomermet
 */
public abstract class AbstractFenetreInterne extends JInternalFrame implements PropertyChangeListener {
    private Action action;
    public AbstractFenetreInterne(Action monAction, String nom) {
        super(nom, true,true,true,true);
        action = monAction;
        this.setDefaultCloseOperation(HIDE_ON_CLOSE);
        this.addInternalFrameListener(new EcouteurFenetre());
        
        //setRessource(new Locale("fr"));
    }

	@Override
	public void propertyChange(PropertyChangeEvent pce) {
		setRessource(new Locale((String)pce.getNewValue()));
	}
	
	public abstract void setRessource(Locale locale);
    
    private class EcouteurFenetre extends InternalFrameAdapter {
        @Override
        public void internalFrameClosing(InternalFrameEvent ife) {
            action.setEnabled(true);
        }
    }
}
